<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Suiterus\Adg\Controllers\Services\LeaveCreditService;

class generateMonthlyLeaveCredits extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'generate:monthly-leave-credits';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Generates the monthly leave credits for employees';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $service = new LeaveCreditService;
        $service->generateMonthlyBalance();
        return Command::SUCCESS;
    }
}
